Bug 716695 - Review Request: fusioninventory-agent - FusionInventory agent
Summary: Review Request: fusioninventory-agent - FusionInventory agent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 716697 716698 716700 716701
TreeView+ depends on / blocked
 
Reported: 2011-06-26 13:23 UTC by Remi Collet
Modified: 2012-05-11 09:21 UTC (History)
5 users (show)

Fixed In Version: fusioninventory-agent-2.1.9-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-26 17:39:00 UTC
Type: ---
emmanuel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2011-06-26 13:23:38 UTC
Spec URL: https://raw.github.com/remicollet/remirepo/master/fusioninventory-agent/fusioninventory-agent.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/fusioninventory-agent-2.1.9-1.remi.src.rpm
Description: 
FusionInventory Agent is an application designed to help a network
or system administrator to keep track of the hardware and software
configurations of computers that are installed on the network.

This agent can send information about the computer to a OCS Inventory NG
or GLPI server with the FusionInventory for GLPI plugin.

You can add additional packages for optional tasks:

* perl-FusionInventory-Agent-Task-OcsDeploy
    OCS Inventory Software deployment support
* perl-FusionInventory-Agent-Task-NetDiscovery
    Network Discovery support
* perl-FusionInventory-Agent-Task-SNMPQuery
    SNMP Query support
* perl-FusionInventory-Agent-Task-ESX
    vCenter/ESX/ESXi remote inventory

Edit the /etc/sysconfig/%{name} file for service configuration.


-- 
I need to keep a lot of conditional stuff in this spec.
This is a "inventory" agent which need to be available on a large version (even EOL fedora and RHEL), even if I only plan to push RPM in fedora >= 14 and EPEL >= 6 repo for now.

Comment 1 Emmanuel Seyman 2011-07-07 10:29:38 UTC
Taking.

Comment 2 Emmanuel Seyman 2011-07-18 14:22:07 UTC
=== KEY ===

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===

 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3206412

 [x] Rpmlint output:

fusioninventory-agent.src: W: spelling-error %description -l en_US perl -> Perl, peel, perk
fusioninventory-agent.src: W: spelling-error %description -l en_US vCenter -> v Center, center, cementer
fusioninventory-agent.src: W: spelling-error %description -l en_US sysconfig -> configure
fusioninventory-agent.src: W: spelling-error %description -l fr perl -> merl, perla, perle
fusioninventory-agent.src: W: spelling-error %description -l fr vCenter -> v Center, venter, center
fusioninventory-agent.src: W: spelling-error %description -l fr sysconfig -> configuré
fusioninventory-agent.src: E: unknown-key GPG#00f97f56
fusioninventory-agent.src: W: strange-permission fusioninventory-agent.init 0755L
fusioninventory-agent.src:162: W: macro-in-comment %{name}
fusioninventory-agent.src:180: W: macro-in-comment %{_localstatedir}
fusioninventory-agent.src:180: W: macro-in-comment %{name}
fusioninventory-agent.src:190: W: macro-in-comment %{_sysconfdir}
fusioninventory-agent.src:190: W: macro-in-comment %{name}
fusioninventory-agent.src:222: E: hardcoded-library-path in %{_prefix}/lib/yum-plugins/%{name}.py
fusioninventory-agent.src:279: E: hardcoded-library-path in %{_prefix}/lib/yum-plugins/%{name}.*
fusioninventory-agent.spec:162: W: macro-in-comment %{name}
fusioninventory-agent.spec:180: W: macro-in-comment %{_localstatedir}
fusioninventory-agent.spec:180: W: macro-in-comment %{name}
fusioninventory-agent.spec:190: W: macro-in-comment %{_sysconfdir}
fusioninventory-agent.spec:190: W: macro-in-comment %{name}
fusioninventory-agent.spec:222: E: hardcoded-library-path in %{_prefix}/lib/yum-plugins/%{name}.py
fusioninventory-agent.spec:279: E: hardcoded-library-path in %{_prefix}/lib/yum-plugins/%{name}.*
1 packages and 1 specfiles checked; 5 errors, 17 warnings.

All of these seem to be false positives or harmless with the exception of the hardcoded-library-path error. Remi, is there a reason you're using %{_prefix}/lib instead of %{_libdir} ?

 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [x] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===

 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [x] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: fedora-rawhide-x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: FIXME
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass

All tests successful.
Files=15, Tests=239,  1 wallclock secs ( 0.06 usr  0.02 sys +  1.23 cusr  0.11 csys =  1.42 CPU)
Result: PASS

Comment 3 Remi Collet 2011-07-18 15:36:14 UTC
I use %{_prefix}/lib for yum plugin, as all others yum plugins...

I think this is an issue with yum itself...

Comment 4 Emmanuel Seyman 2011-07-18 16:07:04 UTC
(In reply to comment #3)
>
> I use %{_prefix}/lib for yum plugin, as all others yum plugins...

Sounds good enough to me.

APPROVED.

Comment 5 Remi Collet 2011-07-18 16:57:11 UTC
Thanks for the review.

New Package SCM Request
=======================
Package Name: fusioninventory-agent
Short Description: FusionInventory agent
Owners: remi
Branches: f14 f15
InitialCC:

Comment 6 Remi Collet 2011-07-21 10:19:25 UTC
Add EL6


New Package SCM Request
=======================
Package Name: fusioninventory-agent
Short Description: FusionInventory agent
Owners: remi
Branches: f14 f15 el6
InitialCC:

Comment 7 Gwyn Ciesla 2011-07-21 12:07:57 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-08-08 17:13:54 UTC
fusioninventory-agent-2.1.9-3.fc16,perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc16,perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc16,perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc16,perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fusioninventory-agent-2.1.9-3.fc16,perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc16,perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc16,perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc16,perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc16

Comment 9 Fedora Update System 2011-08-08 17:17:33 UTC
fusioninventory-agent-2.1.9-3.fc15,perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc15,perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc15,perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc15,perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fusioninventory-agent-2.1.9-3.fc15,perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc15,perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc15,perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc15,perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc15

Comment 10 Fedora Update System 2011-08-08 17:19:38 UTC
fusioninventory-agent-2.1.9-3.fc14,perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc14,perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc14,perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc14,perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fusioninventory-agent-2.1.9-3.fc14,perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc14,perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc14,perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc14,perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc14

Comment 11 Fedora Update System 2011-08-17 00:54:42 UTC
fusioninventory-agent-2.1.9-3.fc14, perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc14, perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc14, perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc14, perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 12 Fedora Update System 2011-08-17 01:02:26 UTC
fusioninventory-agent-2.1.9-3.fc15, perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc15, perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc15, perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc15, perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2011-08-22 14:45:27 UTC
fusioninventory-agent-2.1.9-3.fc16, perl-FusionInventory-Agent-Task-NetDiscovery-1.5-2.fc16, perl-FusionInventory-Agent-Task-OcsDeploy-1.1.0-3.fc16, perl-FusionInventory-Agent-Task-ESX-1.1.2-2.fc16, perl-FusionInventory-Agent-Task-SNMPQuery-1.3-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 14 Petr Pisar 2012-05-11 09:21:23 UTC
This package installs private Perl modules into non-standard Path, but it exports them in RPM package (Provides: perl()).

Private modules cannot be exported in perl() name space. Please filter the symbols from binary RPM package.


Note You need to log in before you can comment on or make changes to this bug.